import webdriver from '../packages/wdio-protocols/protocols/webdriver.json' assert { type: 'json' }
import webdriverBidi from '../packages/wdio-protocols/protocols/webdriverBidi.json' assert { type: 'json' }
import appium from '../packages/wdio-protocols/protocols/appium.json' assert { type: 'json' }
import mjsonwp from '../packages/wdio-protocols/protocols/mjsonwp.json' assert { type: 'json' }
import chromium from '../packages/wdio-protocols/protocols/chromium.json' assert { type: 'json' }
import gecko from '../packages/wdio-protocols/protocols/gecko.json' assert { type: 'json' }
import saucelabs from '../packages/wdio-protocols/protocols/saucelabs.json' assert { type: 'json' }
import selenium from '../packages/wdio-protocols/protocols/selenium.json' assert { type: 'json' }
import jsonwp from '../packages/wdio-protocols/protocols/jsonwp.json' assert { type: 'json' }

export const PROTOCOLS = {
    webdriver, webdriverBidi, appium, chromium,
    gecko, saucelabs, selenium, jsonwp, mjsonwp
}
export const PROTOCOL_NAMES = {
    appium: 'Appium',
    jsonwp: 'JSON Wire Protocol',
    mjsonwp: 'Mobile JSON Wire Protocol',
    webdriver: 'WebDriver Protocol',
    webdriverBidi: 'WebDriver Bidi Protocol',
    chromium: 'Chromium',
    gecko: 'Firefox',
    saucelabs: 'Sauce Labs',
    selenium: 'Selenium Standalone'
}
export const MOBILE_PROTOCOLS = ['appium', 'mjsonwp']
export const VENDOR_PROTOCOLS = ['chromium']
export const IGNORED_SUBPACKAGES_FOR_DOCS = [
    'eslint-plugin-wdio',
    'wdio-smoke-test-service',
    'wdio-smoke-test-reporter',
    'wdio-smoke-test-cjs-service'
]

export const EDIT_WARNING = `// -------------------- ATTENTION --------------------
// Do not edit this file as it gets auto-generated!
// For edits modify /scripts/templates/*.tpl.d.ts
// Check CONTRIBUTING.md for more details.
// --------------------------------------------------
//
`

export const SAUCE_API_DESCRIPTION = `
All commands are only supported on Chrome using Sauce Labs
[Extended Debugging](https://wiki.saucelabs.com/pages/viewpage.action?pageId=70072943)
capabilities. You can enable these by setting the following Sauce options:\n\n
\`\`\`js
{
    browserName: 'Chrome',
    browserVersion: 'latest',
    platformName: 'Windows 10',
    'sauce:options': {
        extendedDebugging: true
    }
}
\`\`\`
`

export const JSONWP_API_DESCRIPTION = `
:::caution depcrecated

The JSONWireProtocol is decrecated and replaced by the [WebDriver](/docs/api/webdriver)
protocol.

:::
`

export const PROTOCOL_API_DESCRIPTION = {
    'saucelabs': SAUCE_API_DESCRIPTION,
    'jsonwp': JSONWP_API_DESCRIPTION
}
